Adobe Reader X Patch 10.1.12

9/16/2014

Adobe Reader 10.1.11 - Must have Adobe Reader 10.1.x to apply.

Cumulative patch for Adobe Reader 10.1.x

Vendor
Adobe

Version
10.1.12

Architecture
Both

Category
Documents

Package Library Subscription Level
Basic


Package Library availability for Adobe Reader X Patch:

Download into PDQ Deploy